// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: register_inway.sql

package queries

import (
	"context"
)

const registerInway = `-- name: RegisterInway :exec

INSERT INTO controller.inways (
    group_id,
    name,
    address
)
VALUES ($1, $2, $3)
ON CONFLICT ON CONSTRAINT inways_pk
DO
   UPDATE SET address = EXCLUDED.address
`

type RegisterInwayParams struct {
	GroupID string
	Name    string
	Address string
}

// Copyright © VNG Realisatie 2023
// Licensed under the EUPL
func (q *Queries) RegisterInway(ctx context.Context, arg *RegisterInwayParams) error {
	_, err := q.db.Exec(ctx, registerInway, arg.GroupID, arg.Name, arg.Address)
	return err
}
